View Issue Details

IDProjectCategoryView StatusLast Update
0003288Far ManagerPanel.Infopublic2016-09-05 20:24
ReporterdimfishAssigned Tozg 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version10
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0003288: ShowTotalSize for Plugin
DescriptionPlease fix ShowTotalSize function in 'unicode_far/filelist.cpp' for Plugins.
Replace check "m_PanelMode != panel_mode::PLUGIN_PANEL" with "Info.Flags & OPIF_USEFREESIZE"
Patch file atatched.
TagsNo tags attached.
Build4774

Activities

dimfish

2016-09-01 16:08

reporter  

0001-ShowTotalSize-fix.patch (1,002 bytes)
From b7c0a3c14bf0dc66515bc5d5c39f4e8bf91630e9 Mon Sep 17 00:00:00 2001
From: dimfish <dimfish@gmail.com>
Date: Thu, 1 Sep 2016 16:04:24 +0300
Subject: [PATCH] ShowTotalSize fix

---
 unicode_far/filelist.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/unicode_far/filelist.cpp b/unicode_far/filelist.cpp
index 3332ef7..e5e48df 100644
--- a/unicode_far/filelist.cpp
+++ b/unicode_far/filelist.cpp
@@ -7815,7 +7815,7 @@ void FileList::ShowTotalSize(const OpenPanelInfo &Info)
 	{
 		string strFreeSize, strTotalSize;
 		auto strFormSize = size2str(TotalFileSize, 6, short_mode);
-		if (Global->Opt->ShowPanelFree && (m_PanelMode != panel_mode::PLUGIN_PANEL || (Info.Flags & OPIF_REALNAMES)))
+		if (Global->Opt->ShowPanelFree && (Info.Flags & OPIF_USEFREESIZE  || Info.Flags & OPIF_REALNAMES))
 			strFreeSize = (FreeDiskSize != static_cast<unsigned __int64>(-1)) ? size2str(FreeDiskSize, 0, short_mode) : L"?";
 
 		if (Global->Opt->ShowPanelTotals)
-- 
2.9.2.windows.1

zg

2016-09-01 17:41

developer   bugnote:0014744

4774.

dimfish

2016-09-02 21:53

reporter   bugnote:0014747

Спасибо, теперь работает как надо - плагин fardroid 2.4.0

Issue History

Date Modified Username Field Change
2016-09-01 16:08 dimfish New Issue
2016-09-01 16:08 dimfish File Added: 0001-ShowTotalSize-fix.patch
2016-09-01 17:41 zg Note Added: 0014744
2016-09-02 21:53 dimfish Note Added: 0014747
2016-09-05 20:24 DrKnS Build => 4774
2016-09-05 20:24 DrKnS Status new => closed
2016-09-05 20:24 DrKnS Assigned To => zg
2016-09-05 20:24 DrKnS Resolution open => fixed
2016-09-05 20:24 DrKnS Fixed in Version => 3.0